-- kairam

dofile("scripts/entities/entityinclude.lua")

function init()
	setupConversationEntity("")
	entity_initSkeletal("Mer", "Kairam")
	entity_animate("idle", -1)
	entity_setActivation(AT_CLICK, 80, 256)
		
	if isMapName("MithalasCastle") then
		if getFlag("NOFLAG")==0 then			
		else
			entity_delete()
		end
	end
	entity_scale(0.65, 0.65)
end

function activate()
	if getFlag("Q1")==0 then
		onceConversation("Q1-intro")
		conversation("Q1-reminder")
		setStringFlag("Hint", "Hint_Q1")
	else
		if onceConversation("Q1-done") then
			setStringFlag("Hint", "")
		end
		if getFlag("Q2")==0 then
			onceConversation("Q2-intro")
			conversation("Q2-reminder")	
			setStringFlag("Hint", "Hint_Q2")
		else
			if onceConversation("Q2-done") then
				setStringFlag("Hint", "")
			end
			conversation("Kairam_TalkToEfendu")
		end
	end
end

function update(dt)
end

function enterState()
end

function exitState()
end


